org.apache.ignite.internal.commandline.query

## Enum KillSubcommand

- java.lang.Object
- - java.lang.Enum<KillSubcommand>
  - - org.apache.ignite.internal.commandline.query.KillSubcommand

All Implemented Interfaces:
  Serializable, Comparable<KillSubcommand>

    public enum KillSubcommand
    extends Enum<KillSubcommand>

Subcommands of the kill command.

See Also:
  `KillCommand`, `QueryMXBean`, `ComputeMXBean`, `TransactionsMXBean`, `ServiceMXBean`, `SnapshotMXBean`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPUTE` Kill compute task.
`CONTINUOUS` Kill continuous query.
`SCAN` Kill scan query.
`SERVICE` Kill service.
`SNAPSHOT` Kill snapshot operation.
`SQL` Kill sql query.
`TRANSACTION` Kill transaction.

### Method Summary

All Methods Static Methods Concrete Methods
`static KillSubcommand` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KillSubcommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPUTE

    public static final KillSubcommand COMPUTE

Kill compute task.

#### TRANSACTION

    public static final KillSubcommand TRANSACTION

Kill transaction.

#### SERVICE

    public static final KillSubcommand SERVICE

Kill service.

#### SQL

    public static final KillSubcommand SQL

Kill sql query.

#### SCAN

    public static final KillSubcommand SCAN

Kill scan query.

#### CONTINUOUS

    public static final KillSubcommand CONTINUOUS

Kill continuous query.

#### SNAPSHOT

    public static final KillSubcommand SNAPSHOT

Kill snapshot operation.

### Method Detail

#### values

    public static KillSubcommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (KillSubcommand c : KillSubcommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static KillSubcommand valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020